org.eclipse.net4j.util.factory

## Interface IFactoryKey

- All Known Implementing Classes:
    FactoryKey

      public interface IFactoryKey

  Identifies a `factory` by `product group` and `type`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getProductGroup()`
    `java.lang.String` | `getType()`

- - ### Method Detail

    - #### getProductGroup

          java.lang.String getProductGroup()

    - #### getType

          java.lang.String getType()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html